KDE 4.2 PyKDE API Reference

- KDE's Python API

# PasswordDialog Class Reference

`from PyKDE4.kio import *`

Inherits: KPasswordDialog → KDialog → QDialog → QWidget → QObject
Namespace: KIO

## Detailed Description

Deprecated:
  use KPasswordDialog A dialog for requesting a login and a password from the end user.

KIO-Slave authors are encouraged to use SlaveBase.openPassDlg instead of directly instantiating this dialog. dialog for requesting login and password from the end user

## Methods

| __init__ (self, QString prompt, QString user, bool enableKeep=0, bool modal=1, QWidget parent=0)

## Static Methods

int, bool (keep) | getNameAndPassword (QString user, QString pass, bool keep, QString prompt=QString(), bool readOnly=0, QString caption=QString(), QString comment=QString(), QString label=QString())

## Method Documentation

__init__ | ( | self, |
|  | QString | prompt,
|  | QString | user,
|  | bool | enableKeep=0,
|  | bool | modal=1,
|  | QWidget | parent=0
| ) |  |  |

Create a password dialog.

Parameters:

  | prompt | instructional text to be shown.
  | user | username, if known initially.
  | enableKeep | if true, shows checkbox that makes password persistent until KDE is shutdown.
  | modal | if true, the dialog will be modal (default:true).
  | parent | the parent widget (default:NULL).

int, bool (keep) getNameAndPassword | ( | QString | user,
|  | QString | pass,
|  | bool | keep,
|  | QString | prompt=QString(),
|  | bool | readOnly=0,
|  | QString | caption=QString(),
|  | QString | comment=QString(),
|  | QString | label=QString()
| ) |  |  |

A convienence static method for obtaining authorization information from the end user.

Parameters:

  | user | username
  | pass | password
  | keep | pointer to flag that indicates whether to keep password (can be null)
  | prompt | text to display to user.
  | readOnly | make the username field read-only.
  | caption | set the title bar to given text.
  | comment | extra comment to display to user.
  | label | optinal label for extra comment.

Returns:
  Accepted/Rejected based on the user choice.